﻿using EntityFrameworkNavigationProperties.Data;
using EntityFrameworkNavigationProperties.Data.Entities;

namespace EntityFrameworkNavigationProperties.Console
{
    public class ManualSeed
    {
        private readonly NavigationPropertiesDemoContext _context;
        public ManualSeed()
        {
            _context = new NavigationPropertiesDemoContext();
        }

        public void Seed()
        {
            var account1 = new Account { FirstName = "James", LastName = "Jones" };
            account1.Addressess.Add(new Address { Line1 = "1 Some Street", Line2 = "Suite 100", City = "Boston", State = "MA", ZipCode = "02111" });
            account1.Phones.Add(new Phone { Number = "111-222-3333" });
           
            _context.Accounts.Add(account1);
            _context.SaveChanges();
        }
    }
}