﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace EntityFrameworkNavigationProperties.Data.Entities
{
    public class Address
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid AddressId { get; set; }
        public string Line1 { get; set; }
        public string Line2 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string ZipCode { get; set; }
       
        // This will be the name of the foreign key in the table
        public Guid AccountId { get; set; }
        
        // Navigation property
        public virtual Account Account { get; set; }
    }
}